Package org.apache.felix.configurator.impl.model

## Enum ConfigPolicy

- java.lang.Object
- - java.lang.Enum<ConfigPolicy>
  - - org.apache.felix.configurator.impl.model.ConfigPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigPolicy>`

    public enum ConfigPolicy
    extends Enum<ConfigPolicy>

### Enum Constant Summary

Enum Constants
`DEFAULT`
`FORCE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigPolicy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ConfigPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final ConfigPolicy DEFAULT

#### FORCE

    public static final ConfigPolicy FORCE

### Method Detail

#### values

    public static ConfigPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConfigPolicy c : ConfigPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConfigPolicy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null